aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTibor Frank <tifrank@cisco.com>2023-05-02 08:07:03 +0000
committerTibor Frank <tifrank@cisco.com>2023-05-02 08:36:31 +0000
commit089b5394689ac28e2e77e16d51197c19cc3dd486 (patch)
treedddca8a34b43c94f56123f51c1d49268e9ebc6e1
parent1db42c927c072720a4c1b15d30f6be0ca6193871 (diff)
C-Docs: Set the version of hugo-book theme
Change-Id: Ic8daac7dfc10788baa44d3cf8cf587296ec5070d Signed-off-by: Tibor Frank <tifrank@cisco.com>
-rw-r--r--csit.infra.hugo/docker-compose.yaml2
-rw-r--r--docs/go.mod2
-rw-r--r--docs/go.sum2
-rw-r--r--resources/libraries/bash/function/hugo.sh5
4 files changed, 5 insertions, 6 deletions
diff --git a/csit.infra.hugo/docker-compose.yaml b/csit.infra.hugo/docker-compose.yaml
index a1a70d1c3d..979902326e 100644
--- a/csit.infra.hugo/docker-compose.yaml
+++ b/csit.infra.hugo/docker-compose.yaml
@@ -2,7 +2,7 @@ version: "3"
services:
cdocs-init:
image: "klakegg/hugo:ext-alpine"
- command: "mod get -u"
+ command: "mod get github.com/alex-shpak/hugo-book@v0.0.0-20230424134111-d86d5e70c7c0"
volumes:
- "../docs:/src"
cdocs-build:
diff --git a/docs/go.mod b/docs/go.mod
index 11f0965171..eb9dde3269 100644
--- a/docs/go.mod
+++ b/docs/go.mod
@@ -1,5 +1,3 @@
module csit.hugo
go 1.17
-
-require github.com/alex-shpak/hugo-book v0.0.0-20230213220505-036e037a63ba // indirect
diff --git a/docs/go.sum b/docs/go.sum
deleted file mode 100644
index 1ca65235fa..0000000000
--- a/docs/go.sum
+++ /dev/null
@@ -1,2 +0,0 @@
-github.com/alex-shpak/hugo-book v0.0.0-20230213220505-036e037a63ba h1:GSDZxN4SjTRVylJjVwr2Mnn1oy/e2ngZG9m1ULJ2qFg=
-github.com/alex-shpak/hugo-book v0.0.0-20230213220505-036e037a63ba/go.mod h1:L4NMyzbn15fpLIpmmtDg9ZFFyTZzw87/lk7M2bMQ7ds=
diff --git a/resources/libraries/bash/function/hugo.sh b/resources/libraries/bash/function/hugo.sh
index bb749bcf01..052e8333fb 100644
--- a/resources/libraries/bash/function/hugo.sh
+++ b/resources/libraries/bash/function/hugo.sh
@@ -68,9 +68,12 @@ function hugo_init_modules () {
die "Please install Hugo!"
fi
+ hugo_book_url="github.com/alex-shpak/hugo-book"
+ hugo_book_version="v0.0.0-20230424134111-d86d5e70c7c0"
+ hugo_book_link="${hugo_book_url}@${hugo_book_version}"
pushd "${CSIT_DIR}"/docs || die "Pushd failed!"
export PATH=$PATH:/usr/local/go/bin
- hugo mod get -u || die "Failed to run Hugo mod!"
+ hugo mod get "${hugo_book_link}" || die "Failed to run Hugo mod!"
popd || die "Popd failed!"
}